List contractor tax statements

Returns a paginated list of contractor tax statements.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a paginated list of contractor tax statements. Each page contains up to 25 results by default. Use the limit query parameter to change the page size; the maximum value is 500. Follow the next and previous URLs to move between pages.

Pass one of contractor, company, or company_copy_bundle. A request with none of them returns a 400 validation error.

Requires an API key with the contractor:read, contractor:write, or contractor:admin scope. Returns 404 unless contractor tax statements are enabled for your account.

Filters

  • contractor — return statements for a single contractor ID.
  • company — return statements for a single company ID.
  • company_copy_bundle — return statements bundled into a single employer copy company document ID.
  • year — return statements for a single tax year.
  • publication_status — draft returns statements that have not been published and are not on hold, published returns statements that have been published, and pending_correction returns statements that Check is holding and has not published.
  • type — original returns statements that do not amend another statement, and amendment returns statements that do (statements with a non-null amends).
  • published_from — return statements whose published_at is on or after this ISO-8601 datetime (inclusive).
Query Params
string

Return statements for this contractor. Required unless company or company_copy_bundle is set.

string

Return statements for this company. Required unless contractor or company_copy_bundle is set.

string

Return statements bundled into this employer copy company document ID. Required unless contractor or company is set.

int32

Return statements for this tax year.

string
enum

draft returns statements that have not been published and are not on hold, published returns published statements, and pending_correction returns statements that Check is holding and has not published.

Allowed:
string
enum

original returns statements that do not amend another statement, and amendment returns statements that do (statements with a non-null amends).

Allowed:
date-time

Return contractor tax statements whose published_at is on or after the provided datetime (ISO-8601). Inclusive at the boundary.

int32
Defaults to 25

Number of statements returned per page. The maximum value is 500.

string

Pagination cursor from a next or previous response URL.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json